#!/usr/bin/python
from bokeh.plotting import figure, output_file, show, save
from bokeh.models import BoxAnnotation, LinearAxis, Range1d
from bokeh.io import output_file, show #TODO check without this line
import time
import datetime
from parse import *
from datetime import tzinfo, timedelta, datetime

reg = "{0} {1} {2} {3} {4} {5} {6}"

# prepare some data
temp = []
lum = []
time = []
with open("/var/www/html/Projet/out1.txt","r") as f:
    for line in f:
        p = parse(reg, line)
        a = p[0] + " " + p[1] + " " + p[2] + " " + p[3] + " " + p[4]
        time.append(datetime.strptime(a,"%c"))
        temp.append(int(p[5]))
        lum.append(int(p[6]) * 45/100 - 10)

# output to static HTML file
output_file("/var/www/html/plot.html")
# output_file("/home/toum/Documents/Bryan/Temp_lcd/plot.html")

# create a new plot
p = figure(
    tools = "xpan,xwheel_zoom,box_zoom,reset,tap",
    plot_width=1000, plot_height=700,
    title="Graphique de mon étang",
    y_range=[-10,35], y_axis_label='Température',
    x_axis_label='Temps', x_axis_type='datetime'
    )

# Setting the second y axis range name and range
p.extra_y_ranges = {"lum": Range1d(start=0, end=100)}
# Adding the second axis to the plot. 
p.add_layout(LinearAxis(y_range_name="lum", axis_label="Luminosité"), 'right')

# add some renderers
p.line(time, temp, legend="temp", line_color="red")
p.line(time, lum, legend="lum", line_color="blue")

# show the results
save(p)

#https://stackoverflow.com/questions/43279441/bokeh-plot-conditional-background-color
